## ros-kinetic-joystick-interrupt 0.10.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(joystick_interrupt)

set(CATKIN_DEPENDS
  roscpp

  geometry_msgs
  sensor_msgs
  topic_tools

  neonavigation_common
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
catkin_package(
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(${catkin_INCLUDE_DIRS})


add_executable(joystick_interrupt src/joystick_interrupt.cpp)
target_link_libraries(joystick_interrupt ${catkin_LIBRARIES})

add_executable(joystick_mux src/joystick_mux.cpp)
target_link_libraries(joystick_mux ${catkin_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()


install(TARGETS
    joystick_interrupt
    joystick_mux
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-joystick-interrupt (0.10.10-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.9-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.8-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.7-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.6-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.5-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.4-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.3-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.2-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.1-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.10.0-1xenial) xenial; urgency=high

  * joystick_interrupt: improve test stability (#538 <https://github.com/at-wat/neonavigation/issues/538>)
  * Increase initialization timeout in the tests (#536 <https://github.com/at-wat/neonavigation/issues/536>)
  * joystick_interrupt: increase JoystickMuxTest wait (#524 <https://github.com/at-wat/neonavigation/issues/524>)
  * joystick_interrupt: send zero twist when interrupt button is released (#517 <https://github.com/at-wat/neonavigation/issues/517>)
  * Contributors: Atsushi Watanabe, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.9.1-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.9.0-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.8-1xenial) xenial; urgency=high

  * joystick_interrupt: fix joystick_mux event handling and add tests (#504 <https://github.com/at-wat/neonavigation/issues/504>)
  * joystick_interrupt: validate joystick button array size in joystick_mux (#503 <https://github.com/at-wat/neonavigation/issues/503>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.7-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.6-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.5-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.4-1xenial) xenial; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.3-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.2-1xenial) xenial; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.1-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.8.0-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.7.0-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.6.0-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.5.1-1xenial) xenial; urgency=high

  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.5.0-1xenial) xenial; urgency=high

  * joystick_interrupt: publish twist soon after simulator starts (#389 <https://github.com/at-wat/neonavigation/issues/389>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.4.3-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.4.2-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.4.1-1xenial) xenial; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-kinetic-joystick-interrupt (0.4.0-1xenial) xenial; urgency=high

  * Add LICENSE file (#270 <https://github.com/at-wat/neonavigation/issues/270>)
  * Contributors: Atsushi Watanabe



=== debian/control ===
Source: ros-kinetic-joystick-interrupt
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-neonavigation-common, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-joystick-interrupt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-neonavigation-common, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-topic-tools
Description: Interrupt cmd_vel by joystick input

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-joystick-interrupt//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
